Bug 25027 - alpha mhz detection
Summary: alpha mhz detection
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 7.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-26 10:25 UTC by Richard Henderson
Modified: 2015-01-07 23:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 10:27:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (501 bytes, patch)
2001-01-26 10:27 UTC, Richard Henderson
no flags Details | Diff

Description Richard Henderson 2001-01-26 10:25:59 UTC
The existing code bombs on a /proc/cpuinfo string like

   cycle frequency [Hz]    : 533000000 est.

as "est." gets in the way of conversion to float.

Comment 1 Richard Henderson 2001-01-26 10:27:28 UTC
Created attachment 8308 [details]
proposed patch

Comment 2 Jay Turner 2001-03-02 17:58:56 UTC
This is resolved in the beta code and will be shipped in the next public release.


Note You need to log in before you can comment on or make changes to this bug.